Skip to main content
GET
/
external-task
/
topic-names
Get External Task Topic Names
curl --request GET \
  --url http://{host}:{port}/{contextPath}/external-task/topic-names \
  --header 'Authorization: Basic <encoded-value>'
[
  "topic-a",
  "topic-b",
  "topic-c"
]

Documentation Index

Fetch the complete documentation index at: https://docs.eorion.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

withLockedTasks
boolean

Only include external tasks that are currently locked (i.e., they have a lock time and it has not expired). Value may only be true, as false matches any external task.

withUnlockedTasks
boolean

Only include external tasks that are currently not locked (i.e., they have no lock or it has expired). Value may only be true, as false matches any external task.

withRetriesLeft
boolean

Only include external tasks that have a positive (> 0) number of retries (or null). Value may only be true, as false matches any external task.

Response

Request successful.